## ECA Recipe: Add role to inserted or updated user

ID: eca_lib_0029

This model demonstrates how to add a role to an inserted or updated user entity. There are actually 3 potential ways of doing this, only 1 of them being recommended. The recorded session (see link below) shows the issues you can run into when choosing one of the other options and it may become transparent, why the third option is the best of the available ones.

The creation of this module was recorded and the video with additional explanations can be [watched here](https://tube.tchncs.de/w/odtnGZjaEAKtzZSVX1gdAS).

### Installation

```shell
composer require drupal-eca-recipe/eca_lib_0029
cd web && php core/scripts/drupal recipe ../vendor/drupal-eca-recipe/eca_lib_0029
```